%global modname virtualenvwrapper

Name:             python-virtualenvwrapper
Version:          3.4
Release:          1%{?dist}
Summary:          Enhancements to virtualenv

Group:            Development/Languages
License:          MIT
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/v/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python-devel
BuildRequires:    python-setuptools
BuildRequires:    python-virtualenv

Requires:         python-virtualenv

%description
virtualenvwrapper is a set of extensions to Ian Bicking's `virtualenv
<http://pypi.python.org/pypi/virtualenv>`_ tool.  The extensions include
wrappers for creating and deleting virtual environments and otherwise
managing your development workflow, making it easier to work on more than
one project at a time without introducing conflicts in their dependencies.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README.txt
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}*
%{_bindir}/virtualenvwrapper.sh
%{_bindir}/virtualenvwrapper_lazy.sh

%changelog
* Fri May 25 2012 Ralph Bean <rbean@redhat.com> 3.4-1
- New upstream release with security fix and new features.
- Packaging new file virtualenvwrapper_lazy.sh
- More explicit directory ownership in python_sitelib.
- Removed old patches due to upstream bugfixes.
- Using modname macro in Source url.

* Mon May 07 2012 Ralph Bean <rbean@redhat.com> 3.2-4
- Fixed a typo in the changelog

* Mon May 07 2012 Ralph Bean <rbean@redhat.com> 3.2-3
- Applied security patch from Aron Griffis.  http://bit.ly/IHJqxs

* Tue Apr 17 2012 Ralph Bean <rbean@redhat.com> 3.2-2
- Updated the Shebangs-and-permissions patch to add a shebang to
  /usr/bin/virtualenvwrapper.sh

* Mon Apr 09 2012 Ralph Bean <rbean@redhat.com> 3.2-1
- Packaged latest version which includes disambiguated license.
- Removed %defattr macro.
- Added patch to quiet up rpmlint.

* Wed Apr 04 2012 Ralph Bean <rbean@redhat.com> 3.1-1
- initial package for Fedora
